org.eclipse.wst.jsdt.chromium.debug.core

## Class ChromiumDebugPlugin

- java.lang.Object
- - Plugin
  - - org.eclipse.wst.jsdt.chromium.debug.core.ChromiumDebugPlugin

    public class ChromiumDebugPlugin
    extends Plugin

The activator class that controls the plug-in life cycle.

### Field Summary

Fields
`static java.lang.String` `BP_MARKER` The JavaScript line breakpoint marker.
`static java.lang.String` `EXCEPTION_BP_MARKER` The JavaScript exception breakpoint marker.
`static java.lang.String` `PLUGIN_ID` The plug-in ID.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumDebugPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ChromiumDebugPlugin` `getDefault()`
`static java.util.List<? extends ScriptTargetMapping>` `getScriptTargetMapping(IFile localFile)` Finds all file pairs for a user working file.
`static org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.extension.ISourceMapManager` `getSourceMapManager()`
`static boolean` `isDebug()`
`static boolean` `isTransportDebug()`
`static boolean` `isV8DebuggerToolDebug()`
`static void` `log(IStatus status)`
`static void` `logError(java.lang.String message, java.lang.Object... arguments)`
`static void` `logWarning(java.lang.String message, java.lang.Object... arguments)`
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

#### BP_MARKER

    public static final java.lang.String BP_MARKER

The JavaScript line breakpoint marker.

See Also:
  Constant Field Values

#### EXCEPTION_BP_MARKER

    public static final java.lang.String EXCEPTION_BP_MARKER

The JavaScript exception breakpoint marker.

See Also:
  Constant Field Values

### Constructor Detail

#### ChromiumDebugPlugin

    public ChromiumDebugPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDefault

    public static ChromiumDebugPlugin getDefault()

Returns:
  the shared instance

#### getScriptTargetMapping

    public static java.util.List<? extends ScriptTargetMapping> getScriptTargetMapping(IFile localFile)

Finds all file pairs for a user working file. One working file may correspond to several scripts if there are more than one debug sessions.

#### isDebug

    public static boolean isDebug()

#### isTransportDebug

    public static boolean isTransportDebug()

#### isV8DebuggerToolDebug

    public static boolean isV8DebuggerToolDebug()

#### log

    public static void log(IStatus status)

#### logError

    public static void logError(java.lang.String message,
                                java.lang.Object... arguments)

#### logWarning

    public static void logWarning(java.lang.String message,
                                  java.lang.Object... arguments)

#### getSourceMapManager

    public static org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.extension.ISourceMapManager getSourceMapManager()